OverrideShifts
Retrieves an override shift
Retrieves a specific override shift by id
GET
/
v1
/
override_shifts
/
{id}
Retrieves an override shift
curl --request GET \
--url https://api.rootly.com/v1/override_shifts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"created_at": "<string>",
"updated_at": "<string>",
"shift_override": {
"data": {
"id": "<string>",
"attributes": {
"shift_id": "<string>",
"created_by_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
},
"user_id": 123,
"user": {
"data": {
"id": "<string>",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>"
}
},
"on_call_role": {
"data": {
"id": "<string>"
}
}
}
}
}
}
}
}Was this page helpful?
⌘I
Retrieves an override shift
curl --request GET \
--url https://api.rootly.com/v1/override_shifts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"created_at": "<string>",
"updated_at": "<string>",
"shift_override": {
"data": {
"id": "<string>",
"attributes": {
"shift_id": "<string>",
"created_by_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
},
"user_id": 123,
"user": {
"data": {
"id": "<string>",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>"
}
},
"on_call_role": {
"data": {
"id": "<string>"
}
}
}
}
}
}
}
}